from Tkinter import *
import RPi.GPIO as GPIO
import time
import sys

LED2=38

GPIO.setmode(GPIO.BOARD)
GPIO.setwarnings(False)
GPIO.setup(LED2, GPIO.OUT)

pwm2 = GPIO.PWM(LED2, 500)
pwm2.start(0)

class App:
	def __init__(self, master):
		frame = Frame(master)
		frame.pack()

		data = self.read_values()

                self.scaleTwo = Scale(frame, from_=0, to=100, length=500, tickinterval=10, troughcolor='red', sliderlength=30, font="Verdana 10", fg='black', relief="groove", orient=HORIZONTAL, command=self.updateTwo)
                self.scaleTwo.grid(row=2)
		self.scaleTwo.set( data[0] )

		Button1 = Button(root, text='Save values', font="Helvetica 10 bold", pady=5, padx=35, bg='lightgrey', command=self.save_values)
		Button2 = Button(root, text='Reload values', font="Helvetica 10 bold", pady=5, padx=35, bg='lightgrey', command=self.reload_values)
		Button3 = Button(root, text='Exit', font="Helvetica 10 bold", pady=5, padx=35, bg='lightgrey', command=self.close_window)

		Button1.pack(side=LEFT, expand=YES)
		Button2.pack(side=LEFT, expand=YES)
		Button3.pack(side=LEFT, expand=YES)

	def close_window(self):
    		root.destroy()

	def reload_values(self):
		print"Data reloaded"
		with open('my_file.txt', 'rU') as in_file:
		    data = in_file.read().split('\n')

		return data

	def read_values(self):
		with open('my_file.txt', 'rU') as in_file:
		    data = in_file.read().split('\n')

		return data

	def updateTwo(self, duty):
		pwm2.ChangeDutyCycle(float(duty))

	def save_values(self):
		data = [self.scaleTwo.get()]
		with open('my_file.txt', 'w') as out_file:
    			out_file.write('\n'.join(str(d) for d in data))

		print "Value " + str(data)[1:-1] + " has been stored\n"

root = Tk()
root.geometry("550x200+250+75")
root.resizable(False, False)
root.update_idletasks()
root.overrideredirect(True)
root.wm_title(' ')

Label(root, text="The PWM Dimmer",width=28, relief=RAISED, fg="black", font=("Helvetica 24 bold")).pack()
Label(root, text="Powered by Raspberry Pi", fg="grey", font=("Helvetica 10")).pack()

app = App(root)

root.mainloop()
